/*

Designed by Shane Tolmie Apr 99.

Microprocessor: Microchip PIC16C76

Compiled with:	Hitech-C v7.83pl3, developed using MPLAB v4.01

Note:						all references are to PIC16C7X PDF version of Microchip manual, DS30390E

Overall goal: 	Delay Routines

*/

#ifndef __DELAY_C
#define __DELAY_C

unsigned char delayus_variable;

#include	"codes.h"
#include	"always.h"
#include	"delay.h"

void DelayMs(unsigned char cnt)
{
	unsigned char	i;
	do {
		i = 4;
		do {
			DelayUs(250);
		} while(--i);
	} while(--cnt);
}

//this copy is for the interrupt function
void DelayMs_interrupt(unsigned char cnt)
{
	unsigned char	i;
	do {
		i = 4;
		do {
			DelayUs(250);
		} while(--i);
	} while(--cnt);
}

void DelayIntMs(unsigned int cnt)
{
	unsigned char	i;
	do {
		i = 4;
		do {
			DelayUs(250);
			CLRWDT();
		} while(--i);
	} while(--cnt);
}

void DelayS(unsigned char cnt)
{
	unsigned char i;
	do {
		i = 4;
		do {
			DelayMs(250);
			CLRWDT();
		} while(--i);
	} while(--cnt);
}

#endif

